
"use strict";

var express = require ('express');                                                
var ejs = require('ejs');                                                    
var app = express ();                                                    

app.engine('html', ejs.renderFile); 
app.use(express.static(__dirname ));                                      
app.set('views', __dirname + '/templates');                                  
app.use('/public', express.static(__dirname + '/public/')); 
app.use('/jquery', express.static(__dirname + '/node_modules/jquery/dist'));
app.use('/socket.io', express.static(__dirname + '/node_modules/socket.io-client/dist'));

var httpserver = require('http').createServer(app);
var socketio = require('socket.io').listen(httpserver);

socketio.sockets.on('connection',function(client){   
    client.on('heureserveur',function()
    {
        let now = new Date().toLocaleString();	
        client.emit('es', { es : now });
    });
});

var credit = { 
	name : 'Mon Web avec NodeJs',
	level : 'Lecon n° 2 (v2)',
	auteur :'Powered by Bud *Robert* Spencer',
};
					
app.get('/', function (req, res) {
res.render('index.html',{credit : credit});
});

function sendel()
{
    let now = new Date().toLocaleString();	
    socketio.sockets.emit('es', { es : now });
}
setInterval(sendel , 1000);

console.log ('CTRL+C pour quitter.');

httpserver.listen(8080);
 


